%

clear;

%lon=[-30:2.5:30], lat=[-10:2.5:30]

status=load('eof_rossby_jjas_2006_30100.mat','C','olr');
C=status.C;
olr=status.olr;
clear status;

olr=olr';
PC1=olr*C;

cosa=zeros(3,3416,425);
% boucle sur les VP
for a=1:3;
      for b=1:3416 % boucle sur le temps
          for c=1:425 % boucle sur l espace
             cosa(a,b,c)=PC1(b,426-a)*C(c,426-a);
          end;
      end;
end;

cosa1(:,:)=cosa(1,:,:);
cosa1=reshape(cosa1,3416,25,17);

cosa2(:,:)=cosa(2,:,:);
cosa2=reshape(cosa2,3416,25,17);

cosabis=cosa(1:2,:,:);
cosa12(:,:)=sum(cosabis);
clear cosabis;
cosa12=reshape(cosa12,3416,25,17);

%cosa_all(:,:)=sum(cosa);
%cosa_all=reshape(cosa_all,3416,25,17);

cosa_all=reshape(olr,3416,25,17);

% On selectionne la demaine geographique

% la latitude : 7.5N (8) 12.5N (10)
% la longitude : 10W (9) 10E(17)
lat1=8;
lat2=10;
lon1=9;
lon2=17;
taille=(lat2-lat1+1)*(lon2-lon1+1);

cosa2=cosa2(:,lon1:lon2,lat1:lat2);
cosa2=reshape(cosa2,3416,taille);
cosa2=cosa2';
cosa2=mean(cosa2);
cosa2=cosa2';
cosa2=reshape(cosa2,122,28);

cosa1=cosa1(:,lon1:lon2,lat1:lat2);
cosa1=reshape(cosa1,3416,taille);
cosa1=cosa1';
cosa1=mean(cosa1);
cosa1=cosa1';
cosa1=reshape(cosa1,122,28);

cosa12=cosa12(:,lon1:lon2,lat1:lat2);
cosa12=reshape(cosa12,3416,taille);
cosa12=cosa12';
cosa12=mean(cosa12);
cosa12=cosa12';
status=save('eof12_rossby_30100.txt','cosa12','-ASCII');
cosa12=reshape(cosa12,122,28);

cosa_all=cosa_all(:,lon1:lon2,lat1:lat2);
cosa_all=reshape(cosa_all,3416,taille);
cosa_all=cosa_all';
cosa_all=mean(cosa_all);
cosa_all=cosa_all';
cosa_all=reshape(cosa_all,122,28);

olr=reshape(olr,3416,25,17);
cosa4=olr(:,lon1:lon2,lat1:lat2);
clear olr;
cosa4=reshape(cosa4,3416,taille);
clear taille;
cosa4=cosa4';
cosa4=mean(cosa4);
cosa4=cosa4';
cosa4=reshape(cosa4,122,28);

a=1;
subplot(4,2,7);
y1=cosa1(:,1);
y2=cosa2(:,1);
y3=cosa_all(:,1);
x=[0.5:121.5]';
plot(x,y1);
hold on;
plot(x,y2,'r');
plot(x,y3,'k','Linewidth',1.8);
y5=zeros(122,1);
plot(x,y5,'k:');
title('OLR reconstruit indice ITCZ annee 1979','Fontsize',8);

set (gca,'tickDir','out');
aa=legend('EOF1','EOF2','indice ITCZ');
set (aa,'fontsize',6,'Position',[0.5800 0.1039 0.0570 0.0570])
legend boxoff;
axis([0 122 -15 15]);
set (gca,'YTick',[-15:5:15],'YTickLabel',[-15:5:15],'fontname','Arial','fontsize',6);
set (gca,'XTick',[0:30.5:122],'XTickLabel',['jun';'jul';'aug';'sep';'oct'],'fontname','Arial','fontsize',6);
