%

clear;
status=load('phase7.txt');
phase7=status;
clear status;
phase7=reshape(phase7,122,28,3);

%%%%%%%%%%%% FICHIER TYPE DE TEMPS
% on ouvre le fichier
status=load('occu.txt');
occu=status;
clear status;

% on reorganise le fichier de type de temps (jours,annees,cluster)
y=reshape(occu,122,58,4);
clear occu;

% on selectionne les annees de 1979 a 2006
occu_type_tps(:,:,:)=y(:,30:57,:);
clear y;

% intialisation des tableaux
type_temps_compomax=zeros(80,21,4);
compteurmax=0;

% boucle sur les annees
for a=1:28;
   for b=1:122;
      % 1ere condition (laisser une marge de 10)
      if (b>11 && b<112);
%        condition 1 on est a un maximum deltas apres sont negetifs et
%             delta avant postifs
         if phase7(b,a,1)==1;
            compteurmax=compteurmax+1;
            type_temps_compomax(compteurmax,1,:)=occu_type_tps(b-10,a,:);
            type_temps_compomax(compteurmax,2,:)=occu_type_tps(b-9,a,:);
            type_temps_compomax(compteurmax,3,:)=occu_type_tps(b-8,a,:);
            type_temps_compomax(compteurmax,4,:)=occu_type_tps(b-7,a,:);
            type_temps_compomax(compteurmax,5,:)=occu_type_tps(b-6,a,:);
            type_temps_compomax(compteurmax,6,:)=occu_type_tps(b-5,a,:);
            type_temps_compomax(compteurmax,7,:)=occu_type_tps(b-4,a,:);
            type_temps_compomax(compteurmax,8,:)=occu_type_tps(b-3,a,:);
            type_temps_compomax(compteurmax,9,:)=occu_type_tps(b-2,a,:);
            type_temps_compomax(compteurmax,10,:)=occu_type_tps(b-1,a,:);
            type_temps_compomax(compteurmax,11,:)=occu_type_tps(b,a,:);
            type_temps_compomax(compteurmax,12,:)=occu_type_tps(b+1,a,:);
            type_temps_compomax(compteurmax,13,:)=occu_type_tps(b+2,a,:);
            type_temps_compomax(compteurmax,14,:)=occu_type_tps(b+3,a,:);
            type_temps_compomax(compteurmax,15,:)=occu_type_tps(b+4,a,:);
            type_temps_compomax(compteurmax,16,:)=occu_type_tps(b+5,a,:);
            type_temps_compomax(compteurmax,17,:)=occu_type_tps(b+6,a,:);
            type_temps_compomax(compteurmax,18,:)=occu_type_tps(b+7,a,:);
            type_temps_compomax(compteurmax,19,:)=occu_type_tps(b+8,a,:);
            type_temps_compomax(compteurmax,20,:)=occu_type_tps(b+9,a,:);
            type_temps_compomax(compteurmax,21,:)=occu_type_tps(b+10,a,:);
         end;
      end;
   end;
end;

% on ne selectionne que la partie du tableau ou il y a des valeurs
type_temps_compomax=type_temps_compomax(1:compteurmax,:,:);

type_temps_moy=reshape(occu_type_tps,3416,4);
disp(['iii : compteurmax =', int2str(compteurmax)]);
% on fait la somme des types de temps sur toute la periode de temps
% on obtent un tableau de la forme (jours-avant-apres,cluster)

type_temps_compomax1(:,:)=sum(type_temps_compomax);
type_temps_moy=sum(type_temps_moy);

clear type_temps_compomax;

% on fait la somme => le nbre de jour avec 1 type de temps persistant
% pour chaque jour
sum_kara_max=sum((type_temps_compomax1)');

% on traduit le nbre d occurence en frequences relatives
kara_max=zeros(21,4);
kara_moy=zeros(21,4);
for a=1:21;
   for b=1:4;
      kara_max(a,b)=type_temps_compomax1(a,b)/sum_kara_max(a);
      kara_moy(b)=type_temps_moy(b)/3416;
   end;
end;

x=[-10:1:10]';
kara_diff=zeros(21,4);
for a=1:21;
    for b=1:4
       kara_diff(a,b)=kara_max(a,b)-kara_moy(b);
    end;
end;

for a=1:4;
    subplot(4,4,a+8);
    diff=kara_diff(:,a)*100;
    jour=[-10:10]';
    if a==1;
       bar(jour,diff,'r');
       c=[1 0.55 0];
       bar(jour,diff),colormap(c);
    elseif a==2;
       bar(jour,diff,'g');
    elseif a==3;
       bar(jour,diff,'b');
    else
       bar(jour,diff,'r');
    end;
    set (gca,'XTick',[-10:2:10],'XTickLabel',[-10:2:10],'fontname','Arial','fontsize',6);
    set (gca,'YTick',[-20:10:20],'YTickLabel',[-20:5:20],'fontname','Arial','fontsize',6);
    axis([-10 10 -20 20]);
    set (gca,'tickDir','out');
    if a==1;
       title('Atl low','Fontsize',8,'Fontname','Arial');
       text(-20,0,'Phase7');
    elseif a==2;
       title('Atl Ridge','Fontsize',8,'Fontname','Arial');
    elseif a==3;
       title('NAO-','Fontsize',8,'Fontname','Arial');
    else
       title('Blocking','Fontsize',8,'Fontname','Arial');
    end;
end;
